classification
Title: Undefined behavior in Parser/parsetok.c
Type: behavior Stage: resolved
Components: Interpreter Core Versions: Python 3.8, Python 3.7, Python 3.6, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: ZackerySpytz, benjamin.peterson, miss-islington, serhiy.storchaka
Priority: normal Keywords: patch

Created on 2018-08-14 09:46 by ZackerySpytz, last changed 2018-08-22 05:54 by serhiy.storchaka. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 4439 merged ZackerySpytz, 2018-08-14 09:47
PR 8768 merged miss-islington, 2018-08-15 06:27
PR 8769 merged miss-islington, 2018-08-15 06:28
PR 8770 merged miss-islington, 2018-08-15 06:28
PR 8833 merged ZackerySpytz, 2018-08-20 12:17
PR 8842 merged miss-islington, 2018-08-21 03:12
PR 8843 merged miss-islington, 2018-08-21 03:12
PR 8849 merged ZackerySpytz, 2018-08-21 17:09
Messages (9)
msg323505 - (view) Author: Zackery Spytz (ZackerySpytz) * (Python triager) Date: 2018-08-14 09:46
In parsetok(), null pointers are used in pointer arithmetic.
msg323548 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2018-08-15 06:27
New changeset 7c4ab2afb17b99eb3f61f9c73cbd548b5e0ad2c0 by Benjamin Peterson (Zackery Spytz) in branch 'master':
closes bpo-34400: Fix undefined behavior in parsetok(). (GH-4439)
https://github.com/python/cpython/commit/7c4ab2afb17b99eb3f61f9c73cbd548b5e0ad2c0
msg323549 - (view) Author: miss-islington (miss-islington) Date: 2018-08-15 06:51
New changeset 2275b773ebfacb94f6a9c81d6a8b9d54771a68e8 by Miss Islington (bot) in branch '3.7':
closes bpo-34400: Fix undefined behavior in parsetok(). (GH-4439)
https://github.com/python/cpython/commit/2275b773ebfacb94f6a9c81d6a8b9d54771a68e8
msg323551 - (view) Author: miss-islington (miss-islington) Date: 2018-08-15 06:59
New changeset 00aebabc7139741fadfe877372c733a2160c7dbd by Miss Islington (bot) in branch '2.7':
closes bpo-34400: Fix undefined behavior in parsetok(). (GH-4439)
https://github.com/python/cpython/commit/00aebabc7139741fadfe877372c733a2160c7dbd
msg323553 - (view) Author: miss-islington (miss-islington) Date: 2018-08-15 07:08
New changeset 981aa46dce926ce54ec1a2adbb73d1f405ef66ff by Miss Islington (bot) in branch '3.6':
closes bpo-34400: Fix undefined behavior in parsetok(). (GH-4439)
https://github.com/python/cpython/commit/981aa46dce926ce54ec1a2adbb73d1f405ef66ff
msg323813 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2018-08-21 03:11
New changeset 3e26e42c905852394fa136f1cc564dac98b56166 by Benjamin Peterson (Zackery Spytz) in branch 'master':
bpo-34400: Fix more undefined behavior in parsetok.c (GH-8833)
https://github.com/python/cpython/commit/3e26e42c905852394fa136f1cc564dac98b56166
msg323814 - (view) Author: miss-islington (miss-islington) Date: 2018-08-21 03:23
New changeset 985dcd49cab44bba63ffebe413a9ef17b3da5fa7 by Miss Islington (bot) in branch '3.7':
bpo-34400: Fix more undefined behavior in parsetok.c (GH-8833)
https://github.com/python/cpython/commit/985dcd49cab44bba63ffebe413a9ef17b3da5fa7
msg323815 - (view) Author: miss-islington (miss-islington) Date: 2018-08-21 03:35
New changeset e496b2b57a7b6e2633b741b1d5a934a7004ea3da by Miss Islington (bot) in branch '3.6':
bpo-34400: Fix more undefined behavior in parsetok.c (GH-8833)
https://github.com/python/cpython/commit/e496b2b57a7b6e2633b741b1d5a934a7004ea3da
msg323863 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2018-08-22 05:54
New changeset eb9a1c01d07309006ef5544da62ba813685bd098 by Serhiy Storchaka (Zackery Spytz) in branch '2.7':
[2.7] bpo-34400: Fix more undefined behavior in parsetok.c (GH-8833). (GH-8849)
https://github.com/python/cpython/commit/eb9a1c01d07309006ef5544da62ba813685bd098
History
Date User Action Args
2018-08-22 05:54:21serhiy.storchakasetnosy: + serhiy.storchaka
messages: + msg323863
2018-08-21 17:09:05ZackerySpytzsetpull_requests: + pull_request8321
2018-08-21 03:35:49miss-islingtonsetmessages: + msg323815
2018-08-21 03:23:19miss-islingtonsetmessages: + msg323814
2018-08-21 03:12:17miss-islingtonsetpull_requests: + pull_request8317
2018-08-21 03:12:07miss-islingtonsetpull_requests: + pull_request8316
2018-08-21 03:11:45benjamin.petersonsetmessages: + msg323813
2018-08-20 12:17:00ZackerySpytzsetpull_requests: + pull_request8309
2018-08-15 07:08:31miss-islingtonsetmessages: + msg323553
2018-08-15 06:59:13miss-islingtonsetmessages: + msg323551
2018-08-15 06:51:15miss-islingtonsetnosy: + miss-islington
messages: + msg323549
2018-08-15 06:28:10miss-islingtonsetpull_requests: + pull_request8246
2018-08-15 06:28:02miss-islingtonsetpull_requests: + pull_request8245
2018-08-15 06:27:54miss-islingtonsetpull_requests: + pull_request8244
2018-08-15 06:27:29benjamin.petersonsetstatus: open -> closed

nosy: + benjamin.peterson
messages: + msg323548

resolution: fixed
stage: patch review -> resolved
2018-08-14 09:47:23ZackerySpytzsetkeywords: + patch
stage: patch review
pull_requests: + pull_request8239
2018-08-14 09:46:55ZackerySpytzcreate